//*****************************************************************************
//*
//*
//*		OsmCoordDlg.h
//*
//*
//*****************************************************************************
#ifndef		AFX_OSMCOORDDLG_H__7AB73E09_DF6E_4809_A63E_676160F608AE__INCLUDED_
#define		AFX_OSMCOORDDLG_H__7AB73E09_DF6E_4809_A63E_676160F608AE__INCLUDED_	

#if _MSC_VER > 1000
#pragma		once						
#endif


#define 	ID_UPDATE_COORD		0x67FD


//*****************************************************************************
//*
//*		Dialogfeld COsmCoordDlg
//*
//*****************************************************************************
class COsmCoordDlg : public CDialog
{
public:
	COsmCoordDlg(CWnd* pParent = NULL); 						// standard constructor

	//{{AFX_DATA(COsmCoordDlg)
	enum { IDD = IDD_OSMCOORDDLG };
	CString m_sCoordY;
	CString m_sCoordX;
	int 	m_iZoom;
	//}}AFX_DATA

	BOOL	Create(CWnd *pParent);
	void	Set(double dCoordX,double dCoordY,int iZoom,int iCoordMode=-1);

	UINT	m_uCoordMode;										
	double	m_dCoordX;
	double	m_dCoordY;


	//{{AFX_VIRTUAL(COsmCoordDlg)
protected:
	virtual void DoDataExchange(CDataExchange* pDX);			// DDX/DDV support
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(COsmCoordDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnChangeX();
	afx_msg void OnChangeY();
	afx_msg void OnChangeZ();
	afx_msg void OnFocusX();
	afx_msg void OnFocusY();
	//}}AFX_MSG


	void	SendNotify();

	BOOL	m_bNotModal;
	BOOL	m_bLocked;
	BOOL	m_bChange1;
	BOOL	m_bChange2;

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}

#endif
