//*****************************************************************************
//*
//*
//*		OsmFindDlg.h
//*
//*
//*****************************************************************************
#ifndef		AFX_OSMFINDDLG_H__D239250E_4CC4_41D6_9639_EE74FF1F4062__INCLUDED_
#define		AFX_OSMFINDDLG_H__D239250E_4CC4_41D6_9639_EE74FF1F4062__INCLUDED_	

#if _MSC_VER > 1000
#pragma		once						
#endif



//*****************************************************************************
//*
//*		COsmFindDlg
//*
//*****************************************************************************
class COsmFindDlg : public CDialog
{
public:
	COsmFindDlg(CWnd* pParent = NULL);							// Standardkonstruktor

	//{{AFX_DATA(COsmFindDlg)
	enum { IDD = IDD_OSMFINDDLG };
	CString m_sPath;
	CString m_sCoordY;
	CString m_sCoordX;
	CString m_sDisdance;
	CString m_sFilter;
	//}}AFX_DATA

	CStringChain	m_sFileList;

	//{{AFX_VIRTUAL(COsmFindDlg)
protected:
	virtual void DoDataExchange(CDataExchange* pDX);			// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

protected:

	CTreeListCtrl	m_cList;
	int				m_iSortDir;
	int				m_iSortMode;
	int				m_iSelCount;

	//{{AFX_MSG(COsmFindDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnPath();
	afx_msg void OnFind();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnPathChanged();
	afx_msg void OnCoordChanged();
	//}}AFX_MSG

	afx_msg void OnCheckChanged(NMHDR *pNmHdr,LRESULT *pResult);
	afx_msg void OnListSort    (NMHDR *pNmHdr,LRESULT *pResult);
	
	DECLARE_MESSAGE_MAP()
	DECLARE_DLG_OLDPOS()

	static int CALLBACK ComparePath(HWND hWnd,HTREEITEM hItem1,HTREEITEM hItem2,LPARAM lParam1,LPARAM lParam2,LPARAM lParam);
	static int CALLBACK CompareName(HWND hWnd,HTREEITEM hItem1,HTREEITEM hItem2,LPARAM lParam1,LPARAM lParam2,LPARAM lParam);
	static int CALLBACK CompareDiff(HWND hWnd,HTREEITEM hItem1,HTREEITEM hItem2,LPARAM lParam1,LPARAM lParam2,LPARAM lParam);
	static int  _cdecl  SearchProc(CProgressDlg *pDlg);
		   int          SearchProc(CProgressDlg *pDlg,LPCTSTR pPath);
};

//{{AFX_INSERT_LOCATION}}

#endif

