//*****************************************************************************
//*
//*
//*		OsmServerDlg.h
//*
//*
//*****************************************************************************
#ifndef		AFX_OSMSERVERDLG_H__E29F4F82_12B3_4427_BFC2_5FB6B8128B31__INCLUDED_
#define		AFX_OSMSERVERDLG_H__E29F4F82_12B3_4427_BFC2_5FB6B8128B31__INCLUDED_

#if _MSC_VER > 1000
#pragma		once
#endif

#include	"TreeListCtrl.h"



//*****************************************************************************
//*
//*		COsmServerDlg
//*
//*****************************************************************************
class COsmServerDlg : public CDialog
{
public:
	COsmServerDlg(CWnd* pParent = NULL);						// Standardkonstruktor

	//{{AFX_DATA(COsmServerDlg)
	enum { IDD = IDD_OSMSERVERDLG };
	//}}AFX_DATA

	UINT	m_uCoordMode;
	CString	m_sSelected;

	//{{AFX_VIRTUAL(COsmServerDlg)
protected:
	virtual void DoDataExchange(CDataExchange* pDX);			// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

protected:


	CHAR			m_aCoordBuffer[256];
	int				m_iCurrentList;
	LONG			m_lCoordIndex;
	int				m_iServerCnt;
	int				m_iLayersCnt;
	int				m_iMenuCol;
	HTREEITEM		m_hMenuItem;
	CTreeListCtrl  *m_pMenuWnd;
	CTreeListCtrl	m_cServer;
	CTreeListCtrl	m_cLayers;

	//{{AFX_MSG(COsmServerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnContextMenu(CWnd *pWnd,CPoint sPoint);
	afx_msg void OnDestroy();
	afx_msg void OnUpLayer();
	afx_msg void OnUpServer();
	afx_msg void OnDownLayer();
	afx_msg void OnDownServer();
	afx_msg void OnDeleteServer();
	afx_msg void OnDeleteLayer();
	afx_msg void OnCopyText();
	afx_msg void OnSettings();
	afx_msg void OnTestUrl();
	afx_msg void OnDefault();
	afx_msg void OnImport();
	afx_msg void OnExport();
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_MSG

	static LPCTSTR	m_aInterfaceNames[];

	afx_msg void OnEndLabelEdit(NMHDR *pNmHdr,LRESULT *pResult);
	afx_msg void OnSelChanged  (NMHDR *pNmHdr,LRESULT *pResult);
	afx_msg void OnListFocus   (NMHDR *pNmHdr,LRESULT *pResult);

	void CoordConvert(LPTSTR   pText,int iSel,int iMode=-1);
	void CoordConvert(CString &sText,int iSel,int iMode=-1);
	void UpdatetKeys();

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}

#endif
