//*****************************************************************************
//*
//*
//*		MainFrm.h
//*
//*
//*****************************************************************************
#ifndef		AFX_MAINFRM_H__AE1DF983_8A0B_4D7F_A856_F2C9D711EBDA__INCLUDED_
#define		AFX_MAINFRM_H__AE1DF983_8A0B_4D7F_A856_F2C9D711EBDA__INCLUDED_	

#if _MSC_VER > 1000
#pragma		once						
#endif

#define 	ID_SETSTATUSBAR		0x2C3F
#include	"AppMessage.h"


//*****************************************************************************
//*
//*		Klasse CMainFrame
//*
//*****************************************************************************
class CMainFrame : public CFrameWnd
{
protected:

	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

public:

	DECLARE_APP_PROC()

	void UpdatePathBar();

	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT &sCreate);
	//}}AFX_VIRTUAL

public:
	virtual ~CMainFrame();
	#ifdef	_DEBUG					
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext &sDc) const;
	#endif

protected:
	
	BOOL		m_bPathBarOn;
	BOOL		m_bWindowFixed;
	CStatusBar	m_wndStatusBar;
	CToolBarNew	m_wndToolBar;
	CToolBarNew	m_wndPathBar;
	BOOL		m_bFlatMode;
	BOOL		m_bIsZoomed;
	int			m_iMonitor;
	int 		m_iLastPosX;	
	int 		m_iLastPosY;	
	int 		m_iLastSizeX;	
	int 		m_iLastSizeY;	

protected:

	//{{AFX_MSG(CMainFrame)
	afx_msg int  OnCreate(LPCREATESTRUCT pCreateStruct);
	afx_msg void OnFlatBar();
	afx_msg void OnFlatBarUI(CCmdUI *pCmdUI);
	afx_msg void OnFixWindow();
	afx_msg void OnFixWindowUI(CCmdUI *pCmdUI);
	afx_msg void OnDestroy();
	afx_msg void OnPathBarUI(CCmdUI *pCmdUI);
	afx_msg void OnPathBar();
	//}}AFX_MSG

	afx_msg LRESULT OnSetStatusbar(WPARAM wParam,LPARAM lParam);


	DECLARE_MESSAGE_MAP()
	DECLARE_ENUMWND_PROC()
	DECLARE_MENUICON_PROC()
								  
	
};


//{{AFX_INSERT_LOCATION}}

#endif
