//*****************************************************************************
//*
//*
//*		OsmFrameDlg.h
//*
//*
//*****************************************************************************
#ifndef		AFX_OSMFRAMEDLG_H__8311A03A_8628_485F_8D86_8B278D65DC15__INCLUDED_
#define		AFX_OSMFRAMEDLG_H__8311A03A_8628_485F_8D86_8B278D65DC15__INCLUDED_	

#if _MSC_VER > 1000
#pragma		once						
#endif

#include	"OsmCtrl.h"


//*****************************************************************************
//*
//*		COsmFrameDlg
//*
//*****************************************************************************
class COsmFrameDlg : public CDialog
{
public:

	COsmFrameDlg(CWnd *pParent=NULL);							// Standardkonstruktor

	//{{AFX_DATA(COsmFrameDlg)
	enum { IDD = IDD_OSMFRAMEDLG };
	//}}AFX_DATA

	COsmCtrl   *m_pOsmMain;
	UINT		m_uCoordMode;										
	double		m_dFrameX1;
	double		m_dFrameX2;
	double		m_dFrameY1;
	double		m_dFrameY2;
	int 		m_iFrameX1;
	int 		m_iFrameX2;
	int 		m_iFrameY1;
	int 		m_iFrameY2;
	int 		m_iSizeX;
	int 		m_iSizeY;
	int			m_iZoom;
	BOOL		m_bFixed;

	//{{AFX_VIRTUAL(COsmFrameDlg)
protected:
	virtual void DoDataExchange(CDataExchange* pDX);			// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

protected:

	COsmCtrl	m_cOsmCtrl;
	BOOL		m_bLocked;
	BOOL		m_bChanged1;
	BOOL		m_bChanged2;
	BOOL		m_bChanged3;
	BOOL		m_bChanged4;
	BOOL		m_bChanged5;
	BOOL		m_bChanged6;

	//{{AFX_MSG(COsmFrameDlg)
	afx_msg void OnTimer(UINT_PTR nIdEvent);
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnFixed();
	//}}AFX_MSG

	afx_msg	void OnMapRectDone(NMHDR *pNmHdr,LRESULT *pResult);
	afx_msg	void OnXorChanged (NMHDR *pNmHdr,LRESULT *pResult);
	afx_msg	void OnFixedDone  (NMHDR *pNmHdr,LRESULT *pResult);
	afx_msg void OnChange1();
	afx_msg void OnChange2();
	afx_msg void OnChange3();
	afx_msg void OnChange4();
	afx_msg void OnChange5();
	afx_msg void OnChange6();
	afx_msg void OnFocus1();
	afx_msg void OnFocus2();
	afx_msg void OnFocus3();
	afx_msg void OnFocus4();
	afx_msg void OnFocus5();
	afx_msg void OnFocus6();

	static LRESULT CALLBACK WheelProc(HWND hWnd,UINT uMsg,WPARAM wParam,LPARAM lParam);
	void SetCoord(double m_dCoordX1,double m_dCoordY1,double m_dCoordX2,double m_dCoordY2);
	void SetRect(BOOL bOlnlyStatus=FALSE);
		
	DECLARE_DLG_SIZING()
	DECLARE_DLG_OLDSIZE()
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}

#endif
