//*****************************************************************************
//*
//*
//*		OsmPathDlg.cpp
//*
//*
//*****************************************************************************
#include	"StdAfx.h"
#include	"OsmViewer.h"
#include	"OsmPathDlg.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif

BEGIN_MESSAGE_MAP(COsmPathDlg, CDialog)
	//{{AFX_MSG_MAP(COsmPathDlg)
	ON_WM_CTLCOLOR()
	ON_BN_CLICKED(IDC_GOTO1,	OnGoto1)
	ON_BN_CLICKED(IDC_GOTO2,	OnGoto2)
	ON_BN_CLICKED(IDC_GOTO3,	OnGoto3)
	ON_BN_CLICKED(IDC_GOTO4,	OnGoto4)
	ON_BN_CLICKED(IDC_GOTO5,	OnGoto5)
	ON_BN_CLICKED(IDC_GOTO6,	OnGoto6)
	ON_BN_CLICKED(IDC_GOTO7,	OnGoto7)
	ON_BN_CLICKED(IDC_GOTO8,	OnGoto8)
	ON_BN_CLICKED(IDC_BUTTON1,	OnColor1)
	ON_BN_CLICKED(IDC_BUTTON2,	OnColor2)
	ON_BN_CLICKED(IDC_BUTTON3,	OnColor3)
	ON_BN_CLICKED(IDC_BUTTON4,	OnColor4)
	ON_BN_CLICKED(IDC_BUTTON5,	OnColor5)
	ON_BN_CLICKED(IDC_BUTTON6,	OnColor6)
	ON_BN_CLICKED(IDC_BUTTON7,	OnColor7)
	ON_BN_CLICKED(IDC_BUTTON8,	OnColor8)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

DLG_OLDPOS(COsmPathDlg)

#define 	NUM_ITEMS		5	

#ifndef 	DC_BRUSH
#define		DC_BRUSH		18
#endif 	

extern "C" WINGDIAPI	COLORREF WINAPI SetDCBrushColor(HDC,COLORREF);


WORD	COsmPathDlg::m_aIds[] =
			{
			IDC_COMBO1,IDC_FRAME1,IDC_BUTTON1,IDC_TEXT1,IDC_GOTO1,
			IDC_COMBO2,IDC_FRAME2,IDC_BUTTON2,IDC_TEXT2,IDC_GOTO2,
			IDC_COMBO3,IDC_FRAME3,IDC_BUTTON3,IDC_TEXT3,IDC_GOTO3,
			IDC_COMBO4,IDC_FRAME4,IDC_BUTTON4,IDC_TEXT4,IDC_GOTO4,
			IDC_COMBO5,IDC_FRAME5,IDC_BUTTON5,IDC_TEXT5,IDC_GOTO5,
			IDC_COMBO6,IDC_FRAME6,IDC_BUTTON6,IDC_TEXT6,IDC_GOTO6,
			IDC_COMBO7,IDC_FRAME7,IDC_BUTTON7,IDC_TEXT7,IDC_GOTO7,
			IDC_COMBO8,IDC_FRAME8,IDC_BUTTON8,IDC_TEXT8,IDC_GOTO8,
			};

//*****************************************************************************
//*
//*		CDialog
//*
//*****************************************************************************
//  Dialogfeld COsmPathDlg
COsmPathDlg::COsmPathDlg(CWnd *pParent):CDialog(COsmPathDlg::IDD,pParent)
{
	//{{AFX_DATA_INIT(COsmPathDlg)
	//}}AFX_DATA_INIT
}


//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void COsmPathDlg::DoDataExchange(CDataExchange *pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COsmPathDlg)
	//}}AFX_DATA_MAP
}


//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
//  Behandlungsroutinen fr Nachrichten COsmPathDlg
BOOL COsmPathDlg::OnInitDialog()
{
unsigned	uPos;


	SET_DLG_OLDPOS();

	m_bChanged = FALSE;

	CDialog::OnInitDialog();

	for(uPos=0;uPos<8;uPos++)
		{
		if(m_aWidth[uPos]<1){m_aWidth[uPos]=1;m_bChanged=TRUE;}
		if(m_aWidth[uPos]>8){m_aWidth[uPos]=8;m_bChanged=TRUE;}
		((CComboBox*)GetDlgItem(m_aIds[uPos*NUM_ITEMS]))->SetCurSel(m_aWidth[uPos]-1);
		GetDlgItem(m_aIds[3+uPos*NUM_ITEMS])->SetWindowText(m_aNames[uPos]);
		if(m_pOsmMain->GetPathPoints(uPos)==0)GetDlgItem(m_aIds[4+uPos*NUM_ITEMS])->EnableWindow(FALSE);
		}



	return TRUE;
}

//*****************************************************************************
//*
//*		OnCtlColor
//*
//*****************************************************************************
HBRUSH COsmPathDlg::OnCtlColor(CDC *pDC,CWnd *pWnd,UINT nCtlColor)
{
HBRUSH		hBrush;
unsigned	uPos;
unsigned	uId;


	uId = GetWindowLong(pWnd->m_hWnd,GWL_ID);


	for(uPos=0;uPos<8;uPos++)
		{
		if(uId!=m_aIds[1+uPos*NUM_ITEMS])continue;
		SetDCBrushColor(pDC->m_hDC,m_aColors[uPos]);
		hBrush = (HBRUSH)GetStockObject(DC_BRUSH);
		return hBrush;
		}



	hBrush = CDialog::OnCtlColor(pDC, pWnd, nCtlColor);


return hBrush;
}

//*****************************************************************************
//*
//*		OnColor?
//*
//*****************************************************************************
void COsmPathDlg::OnColor1(){OnColor(0);}
void COsmPathDlg::OnColor2(){OnColor(1);}
void COsmPathDlg::OnColor3(){OnColor(2);}
void COsmPathDlg::OnColor4(){OnColor(3);}
void COsmPathDlg::OnColor5(){OnColor(4);}
void COsmPathDlg::OnColor6(){OnColor(5);}
void COsmPathDlg::OnColor7(){OnColor(6);}
void COsmPathDlg::OnColor8(){OnColor(7);}
void COsmPathDlg::OnColor(unsigned uPos)
{
COLORREF		aCol[16];
CHOOSECOLOR		sData;
int				iPos;


	 aCol[0]				= m_aColors[uPos];

	 sData.lStructSize		= sizeof(sData);
     sData.hwndOwner		= m_hWnd;
     sData.hInstance		= NULL;
	 sData.rgbResult		= aCol[0];
     sData.lpCustColors		= aCol;
     sData.Flags			= CC_ANYCOLOR|CC_RGBINIT|CC_FULLOPEN;
     sData.lCustData		= NULL;
     sData.lpfnHook			= NULL;
     sData.lpTemplateName	= NULL;

	 for(iPos=0;iPos<16;iPos++)
		{
		aCol[iPos] = sData.rgbResult;
		}

	 if(!ChooseColor(&sData))return;

	 if(m_aColors[uPos]==sData.rgbResult)
		{
		return;
		}

	 m_bChanged		 = TRUE;
	 m_aColors[uPos] = sData.rgbResult;

	GetDlgItem(m_aIds[1+uPos*NUM_ITEMS])->RedrawWindow();


}

//*****************************************************************************
//*
//*		OnGoto?
//*
//*****************************************************************************
void COsmPathDlg::OnGoto1(){OnGoto(0);}
void COsmPathDlg::OnGoto2(){OnGoto(1);}
void COsmPathDlg::OnGoto3(){OnGoto(2);}
void COsmPathDlg::OnGoto4(){OnGoto(3);}
void COsmPathDlg::OnGoto5(){OnGoto(4);}
void COsmPathDlg::OnGoto6(){OnGoto(5);}
void COsmPathDlg::OnGoto7(){OnGoto(6);}
void COsmPathDlg::OnGoto8(){OnGoto(7);}
void COsmPathDlg::OnGoto(unsigned uPos)
{

	m_pOsmMain->SetScrollPath(uPos);

	OnOK();
	
}	 

//*****************************************************************************
//*
//*		OnCancel
//*
//*****************************************************************************
void COsmPathDlg::OnCancel()
{

	GET_DLG_OLDPOS();

	CDialog::OnCancel();

}

//*****************************************************************************
//*
//*		OnOK
//*
//*****************************************************************************
void COsmPathDlg::OnOK()
{
CString		sParam;
CRegKeys	sKey;
unsigned	uWidth;
unsigned	uPos;

	
 
	for(uPos=0;uPos<8;uPos++)
		{
		uWidth = ((CComboBox*)GetDlgItem(m_aIds[uPos*NUM_ITEMS]))->GetCurSel()+1;
		if(uWidth!=m_aWidth[uPos])
			{
			m_aWidth[uPos]=uWidth;
			m_bChanged=TRUE;
			}
		}

	if(!m_bChanged)
		{
		OnCancel();
		return;
		}


	sKey.Open();
	sKey.Up("PathOptions");


	for(uPos=0;uPos<8;uPos++)									// Punkte einlesen
		{
		sParam.Format(_T("Color%02i"),uPos);
		sKey  .Set(m_aColors[uPos],sParam);
		sParam.Format(_T("Width%02i"),uPos);
		sKey  .Set(m_aWidth [uPos],sParam);

		m_pOsmMain->SetPathPen(uPos,m_aColors[uPos],m_aWidth[uPos]);
		}


	GET_DLG_OLDPOS();

	CDialog::OnOK();
}
