//*****************************************************************************
//*
//*
//*		OsmStatDlg.h
//*
//*
//*****************************************************************************
#ifndef		AFX_OSMSTATDLG_H__D2395345_4C44_33D6_9639_E12312314062__INCLUDED_
#define		AFX_OSMSTATDLG_H__D2395345_4C44_33D6_9639_E12312314062__INCLUDED_	

#if _MSC_VER > 1000
#pragma		once						
#endif



//*****************************************************************************
//*
//*		COsmStatDlg
//*
//*****************************************************************************
class COsmStatDlg : public CDialog
{
public:
	COsmStatDlg(CWnd* pParent = NULL);							// Standardkonstruktor

	//{{AFX_DATA(COsmStatDlg)
	enum { IDD = IDD_OSMSTATDLG };
	CString m_sPath;
	CString m_sCoordY;
	CString m_sCoordYA;
	CString m_sCoordYE;
	CString m_sCoordX;
	CString m_sCoordXA;
	CString m_sCoordXE;
	CString m_sDisdance;
	CString m_sDisdanceA;
	CString m_sDisdanceE;
	CString m_sFilter;
	INT		m_iSelcetA;
	INT		m_iSelcetE;
	//}}AFX_DATA

	CStringChain	m_sFileList;

	//{{AFX_VIRTUAL(COsmStatDlg)
protected:
	virtual void DoDataExchange(CDataExchange* pDX);			// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

protected:

	CTreeListCtrl	m_cList;
	int				m_iSortDir;
	int				m_iSortMode;
	int				m_iSelCount;
	char			m_cStatPath[256];
	char			m_cDataPath[256];

	//{{AFX_MSG(COsmStatDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnPath();
	afx_msg void OnFind();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnPathChanged();
	afx_msg void OnCoordChanged();
	afx_msg void OnContextMenu(CWnd *pWnd,CPoint sPoint);
	afx_msg void OnClicked();
	afx_msg void OnLoadGpx();
	afx_msg void OnSelNone();
	afx_msg void OnSelAll();
	afx_msg void OnShow();
	//}}AFX_MSG

	afx_msg void OnCheckChanged(NMHDR *pNmHdr,LRESULT *pResult);
	afx_msg void OnListSort    (NMHDR *pNmHdr,LRESULT *pResult);
	
	DECLARE_MESSAGE_MAP()
	DECLARE_DLG_OLDPOS()

	static int CALLBACK ComparePath(HWND hWnd,HTREEITEM hItem1,HTREEITEM hItem2,LPARAM lParam1,LPARAM lParam2,LPARAM lParam);
	static int CALLBACK CompareName(HWND hWnd,HTREEITEM hItem1,HTREEITEM hItem2,LPARAM lParam1,LPARAM lParam2,LPARAM lParam);
	static int CALLBACK CompareDiff(HWND hWnd,HTREEITEM hItem1,HTREEITEM hItem2,LPARAM lParam1,LPARAM lParam2,LPARAM lParam);
	static int  _cdecl  SearchProc(CProgressDlg *pDlg);
		   int          SearchProc(CProgressDlg *pDlg,LPCTSTR pPath);
		   void			InvalidEntry(HTREEITEM hItem);
};

//{{AFX_INSERT_LOCATION}}

#endif

