//*****************************************************************************
//*
//*
//*		OsmViewerDoc.h
//*
//*
//*****************************************************************************
#ifndef		AFX_OSMVIEWERDOC_H__7FE324A8_20C7_4381_B3AB_40931C4F304D__INCLUDED_
#define		AFX_OSMVIEWERDOC_H__7FE324A8_20C7_4381_B3AB_40931C4F304D__INCLUDED_	

#if _MSC_VER > 1000
#pragma		once						
#endif


//*****************************************************************************
//*
//*		Klasse COsmViewerDoc
//*
//*****************************************************************************
class COsmViewerDoc : public CDocument
{
protected: // Nur aus Serialisierung erzeugen

	COsmViewerDoc();
	DECLARE_DYNCREATE(COsmViewerDoc)
	DECLARE_LOAD_LAST()

public:

	void		 ClearPathName();
	virtual BOOL OnOpenDocument(LPCTSTR pPathName);
	virtual BOOL OnSaveDocument(LPCTSTR pPathName);
	virtual BOOL IsModified();
	virtual BOOL DoFileSave();
	virtual void OnFileSave();
	virtual void OnFileOpen();
	virtual void OnSaveAs();

	//{{AFX_VIRTUAL(COsmViewerDoc)
public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive &sArchive);
	//}}AFX_VIRTUAL

public:
	virtual ~COsmViewerDoc();
	#ifdef		_DEBUG					
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext &sDc) const;
	#endif

protected:
	//{{AFX_MSG(COsmViewerDoc)
	//}}AFX_MSG

	BOOL	m_bEditFlag;
	BOOL	m_bSaveFlag;

	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}

#endif
