//*****************************************************************************
//*
//*
//*		OsmWayPointDlg.h
//*
//*
//*****************************************************************************
#ifndef		AFX_OSMWAYPOINTDLG_H__518F6986_AE14_43E7_A290_A897BF2825DC__INCLUDED_
#define		AFX_OSMWAYPOINTDLG_H__518F6986_AE14_43E7_A290_A897BF2825DC__INCLUDED_	

#if _MSC_VER > 1000
#pragma		once						
#endif



//*****************************************************************************
//*
//*		COsmWayPointDlg
//*
//*****************************************************************************
class COsmWayPointDlg : public CDialog
{
public:
	COsmWayPointDlg(CWnd* pParent = NULL); 						// Standardkonstruktor

	//{{AFX_DATA(COsmWayPointDlg)
	enum { IDD = IDD_OSMWAYPOINTDLG };
	//}}AFX_DATA

	unsigned		m_uCoordMode;
	BOOL			m_bChanged;
	double			m_dGotoX;
	double			m_dGotoY;

	//{{AFX_VIRTUAL(COsmWayPointDlg)
protected:
	virtual void DoDataExchange(CDataExchange* pDX);			// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

protected:

	CTreeListCtrl	m_cList;
	int				m_iCount;

	//{{AFX_MSG(COsmWayPointDlg)
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnGoto();
	afx_msg void OnImport();
	afx_msg void OnExport();
	afx_msg void OnDelete();
	afx_msg void OnContextMenu(CWnd* pWnd,CPoint sPoint);
	//}}AFX_MSG

	afx_msg void OnShowAll();
	afx_msg void OnShowNone();
	afx_msg void OnTextAll();
	afx_msg void OnTextNone();
	afx_msg void OnCopyText();
	
	afx_msg void OnChangeNotify(NMHDR *pNmHdr,LRESULT *pResult);
	afx_msg void OnEndLabelEdit(NMHDR *pNmHdr,LRESULT *pResult);
	afx_msg void OnSelChanged  (NMHDR *pNmHdr,LRESULT *pResult);

	DECLARE_MESSAGE_MAP()

	void CoordConvert(LPTSTR   pText,int iSel,int iMode=-1);
	void CoordConvert(CString &sText,int iSel,int iMode=-1);
};

//{{AFX_INSERT_LOCATION}}

#endif
